program Nome_Idade
	implicit none 
    character *20 nome(50)
    integer idade(50), quantd, i, cont_criancas

    write (*, *) "ESTE PROGRAMA LER NOME E IDADE DE UM GRUPO DE PESSOAS E INFORMA &
                & QUAIS SAO OS ADOLESCENTES DO GRUPO E QUAL A QUANTIDADE DE CRIANCAS" 
                    
    write (*, *)
    write (*, *) "Informe quantas pessoas tem no grupo"
    read  (*, *) quantd
    
    
    !Le os dados
    write (*, *)
    write (*, *) "Informe Nome e Idade das pessoas; separados &
               & por espacos e terminados com um <ENTER>"
    write (*, *)
    do i = 1, quantd, 1
      read(*,*) nome(I), idade(i)
    end do
    
    !Imprime os dados que foram lidos
	write(*, *)
    write(*, *)"DADOS LIDOS:"
	write(*, *)    
    write(*, *)"NOME                          IDADE"    
    do i = 1, quantd, 1
      write(*,*) nome(I), idade(i)
    end do
    
    ! Imprime apenas os nomes dos adolescentes
    write(*, *)
    write(*, *)"ADOLESCENTES DO GRUPO:"
	write(*, *)     
    do i = 1, quantd, 1
      if( idade(i)>= 12 .and. idade (i) < 21) then
        write(*,*) nome(I)
      end if  
    end do
    
    ! Conta quantidade de Crianças do grupo
    cont_criancas = 0
    do i = 1, quantd, 1
      if( idade(i)< 12) then
        cont_criancas = cont_criancas + 1
      end if  
    end do
    write(*, *)
    write(*, *)"TOTAL DE CRIANCAS: ", cont_criancas
	write(*, *)
    
    stop
end program Nome_Idade


